Mailmus

Templates

GET
/projects/{projectId}/templates
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/templates"
[  {    "id": "string",    "name": "string",    "builderJson": {},    "html": "string",    "appId": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]
POST
/projects/{projectId}/templates
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/templates" \  -H "Content-Type: application/json" \  -d '{    "name": "Welcome Email",    "builderJson": {      "blocks": []    },    "html": "<h1>Welcome!</h1>"  }'
{  "id": "string",  "name": "string",  "builderJson": {},  "html": "string",  "appId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
GET
/projects/{projectId}/templates/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/templates/string"
{  "id": "string",  "name": "string",  "builderJson": {},  "html": "string",  "appId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
PATCH
/projects/{projectId}/templates/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/projects/string/templates/string" \  -H "Content-Type: application/json" \  -d '{    "name": "Welcome Email v2",    "builderJson": {      "blocks": []    },    "html": "<h1>Welcome!</h1>"  }'
{  "id": "string",  "name": "string",  "builderJson": {},  "html": "string",  "appId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
DELETE
/projects/{projectId}/templates/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Response Body

application/json

curl -X DELETE "https://example.com/projects/string/templates/string"
{  "deleted": true}
POST
/projects/{projectId}/templates/{id}/duplicate
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Response Body

application/json

curl -X POST "https://example.com/projects/string/templates/string/duplicate"
{  "id": "string",  "name": "string",  "builderJson": {},  "html": "string",  "appId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}